juzu.plugin.amd

## Annotation Type Module

-     @Retention(value=RUNTIME)
      @Target(value={})
      public @interface Module

  Declares a JavaScript managed module.
  Version:
    $Id$
  Author:
    Nguyen Thanh Hai

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `value`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `adapter` An optional adapter.
    `String[]` | `aliases` An optional alias map for `depends()` of the `value()` member.
    `String[]` | `depends`
    `String` | `id`
    `AssetLocation` | `location`
    `int` | `maxAge` Defines `max-age` cache control headers for this module asset.

- - ### Element Detail

    - #### value

          public abstract String value

      Returns:
        the value for resolving the asset

    - #### id

          public abstract String id

      Returns:
        the asset id, used for referencing this asset, the value is optional.
      Default:
        ""

    - #### depends

          public abstract String[] depends

      Returns:
        the asset dependencies, i.e the asset that are needed by this asset.
      Default:
        {}

    - #### location

          public abstract AssetLocation location

      Returns:
        the asset location
      Default:
        juzu.asset.AssetLocation.APPLICATION

    - #### adapter

          public abstract String adapter

      An optional adapter.
      Returns:
        the module adapter
      Default:
        ""

    - #### aliases

          public abstract String[] aliases

      An optional alias map for `depends()` of the `value()` member.
      Returns:
        the depends alias map
      Default:
        {}

    - #### maxAge

          public abstract int maxAge

      Defines `max-age` cache control headers for this module asset.
      Returns:
        the max age
      Default:
        -1

Copyright © 2014 eXo Platform SAS. All rights reserved.